package com.greenorange.promotion.model.vo.userInfo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 上级用户信息 视图对象
 */
@Data
@Schema(description = "上级用户信息 视图对象")
public class SuperUserInfoVO implements Serializable {

    /**
     * 用户昵称
     */
    @Schema(description = "用户昵称", example = "chenxinzhi")
    private String nickName;

    /**
     * 手机号
     */
    @Schema(description = "手机号", example = "15888610253")
    private String phoneNumber;

    @Serial
    private static final long serialVersionUID = 1L;
}
