package com.greenorange.promotion.service.settle;

import com.greenorange.promotion.model.dto.userAccount.UserAccountAddRequest;
import com.greenorange.promotion.model.dto.userAccount.UserAccountUpdateRequest;
import com.greenorange.promotion.model.entity.UserAccount;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.servlet.http.HttpServletRequest;

/**
* @author 35880
* @description 针对表【user_account(用户账户表)】的数据库操作Service
* @createDate 2025-05-11 01:44:18
*/
public interface UserAccountService extends IService<UserAccount> {

    /**
     * 小程序端用户添加用户账户
     */
    void addUserAccount(UserAccountAddRequest userAccountAddRequest, HttpServletRequest request);


    /**
     * 小程序端用户根据id修改用户账户信息
     */
    void updateUserAccount(UserAccountUpdateRequest userAccountUpdateRequest, HttpServletRequest request);
}
