package com.greenorange.promotion.service.wechat;

import com.greenorange.promotion.config.WxAccessToken;
import com.greenorange.promotion.model.dto.CommonRequest;
import jakarta.servlet.http.HttpServletRequest;

import java.io.IOException;

public interface WechatGetQrcodeService {

    /**
     * 获取微信token
     */
    WxAccessToken getAccessToken();


    /**
     * 获取接口调用凭据
     */
    WxAccessToken getApiAccessToken();


    /**
     * 微信小程序获取二维码
     */
    String getWxQrCode(String inviteCode) throws IOException;


//    /**
//     * 微信小程序获取课程码
//     */
//    String getWxCourseQrCode(CommonRequest courseQrcodeAddRequest, HttpServletRequest request) throws Exception;
}
