package com.greenorange.promotion.service.course;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.greenorange.promotion.model.dto.courseOrder.CourseOrderQueryRequest;
import com.greenorange.promotion.model.entity.CourseOrder;
import com.baomidou.mybatisplus.extension.service.IService;

/**
* @author 35880
* @description 针对表【course_order(课程订单表)】的数据库操作Service
* @createDate 2025-06-23 18:31:13
*/
public interface CourseOrderService extends IService<CourseOrder> {


    /**
     * 获取查询条件
     */
    QueryWrapper<CourseOrder> getQueryWrapper(CourseOrderQueryRequest courseOrderQueryRequest);
}
