package com.greenorange.promotion;


import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit.jupiter.SpringExtension;

// 使用 JUnit5 的 SpringExtension 来集成 Spring TestContext
@ExtendWith(SpringExtension.class)
// 指定要启动的 Spring Boot 应用主类；若主类在默认扫描路径下，可省略 classes 属性
@SpringBootTest(classes = GreenOrangeApplication.class)
public class ApplicationStartupTest {

    /**
     * 最简单的 context load 测试：
     * 如果 Spring 容器无法启动，这个测试就会失败。
     */
    @Test
    void contextLoads() {
        // 只要能启动到这里，就证明 Spring Boot 应用上下文加载成功
    }
}
